/* 
 * File:   MasterCtrlInterface.h
 * Author: JF
 *
 * Created on March 31, 2017, 2:41 PM
 */

#ifndef MASTERCTRLINTERFACE_H
#define	MASTERCTRLINTERFACE_H

enum eMasterConnectionStates
{
    MASTER_STATE_DISCONNECTED,
    MASTER_STATE_CONNECTING,
    MASTER_STATE_CONNECTED
};

int InitMasterCtrlIF(void);
int ConnectToMasterCtrl(void);
void TickMasterCtrlInterface(void);
void MasterCtrlSM(int Event);
void NewMasterMessageReceived(char* Message);
bool SendFrame(unsigned char DestDevice,unsigned char DestAddress, unsigned char SenderDevice, unsigned char Cmd, unsigned char *Data,unsigned int Size,unsigned char Flags);


#endif	/* MASTERCTRLINTERFACE_H */

